> For the complete documentation index, see [llms.txt](https://sodex.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://sodex.com/documentation/for-developers/api-reference/market-data-api/currency/token-economics.md).

# 1.4 Token Economics

```
GET /currencies/{currency_id}/token-economics
```

**Path Parameters**

| Parameter    | Type   | Required | Description |
| ------------ | ------ | -------- | ----------- |
| currency\_id | String | Yes      | Currency ID |

**Response Example**

```json
{
    "token_allocation": [
        {
            "holder": "Community Reserve",
            "percentage": 38
        }
    ],
    "token_unlock": {
        "unlocked": "40500000",
        "total_locked": "1000000"
    },
    "unlock_timeline": [
        {
            "vestings": [
                {
                    "label": "Team",
                    "amount": 159469480.8
                },
                {
                    "label": "Investors",
                    "amount": 135308347.20000008
                }
            ],
            "timestamp": "1234565434567"
        }
    ]
}
```

**Response Fields**

| Field                                  | Type           | Description                          |
| -------------------------------------- | -------------- | ------------------------------------ |
| token\_allocation                      | Array\[Object] | Token allocation list                |
| token\_allocation\[].holder            | String         | Holder name                          |
| token\_allocation\[].percentage        | Number         | Holding percentage                   |
| token\_unlock                          | Object         | Token unlock summary                 |
| token\_unlock.unlocked                 | String         | Amount already unlocked              |
| token\_unlock.total\_locked            | String         | Total locked amount                  |
| unlock\_timeline                       | Array\[Object] | Unlock schedule; null if no data     |
| unlock\_timeline\[].vestings           | Array\[Object] | Vesting batches at this timestamp    |
| unlock\_timeline\[].vestings\[].label  | String         | Vesting label (e.g. Team, Investors) |
| unlock\_timeline\[].vestings\[].amount | Number         | Unlock amount                        |
| unlock\_timeline\[].timestamp          | String         | Unlock time (timestamp)              |
